# Arrange for gateway events to reference this module in parallel at startup
# and project restart.

from threading import RLock
from java.lang import Thread
from java.util.concurrent.atomic import AtomicInteger

logger = system.util.getLogger(system.util.getProjectName() + '.LoadRacePoC')

initPass = system.util.getGlobals().setdefault('script-library-load-race-counter', AtomicInteger()).incrementAndGet()
logger.infof("Initializing #%d", initPass)

def startup(defPass=initPass):
	logger.infof("Pass #%d Startup", defPass)

def tagChange(initialChange, event, defPass=initPass):
	if initialChange:
		logger.infof("Pass #%d Tag %s Initial Change", defPass, event.tagPath)
